Page MenuHomePhabricator

[Bug] Drop-down doesn't appear when typing in the Wikidata search box
Closed, ResolvedPublic

Description

Since 1 May 2019 some users noticed a malfunction with the Wikidata search box (top right corner).

Steps to reproduce:

  • click on the search box
  • type "test"
  • the turning wheel icon appears, then disappears, and the suggestion drop-down doesn't show up
  • when pressing the arrow down key or enter, it appears

Note: depending on the word that is typed, the menu seems to appear or not. "test" doesn't work, "foo" works.

Tested so far on Chrome and Firefox.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : wmf/1.34.0-wmf.4Revert "Close entityselector after selecting exact match"
mediawiki/extensions/Wikibase : masterRevert "Close entityselector after selecting exact match"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2019, 9:15 AM

Console error:

TypeError: this.pushPending is not a function

Michael added a subscriber: Michael.May 2 2019, 9:23 AM

Console error:

TypeError: this.pushPending is not a function

Interesting! I don't get this on wikidata.org. how/where do you see this?

Sorry, it’s unrelated – I got that on Special:Search, it happens when you type into the search box there (instead of the one on the top right of every page).

Moebeus added a subscriber: Moebeus.May 2 2019, 9:47 AM
Moebeus removed a subscriber: Moebeus.

I'd like to add that the same problem also affects property/value suggestions. Started evening/late afternoon May 1. Tested Google, Firefox.

Moebeus added a subscriber: Moebeus.May 2 2019, 9:50 AM
Lucas_Werkmeister_WMDE reopened this task as Open.May 2 2019, 11:41 AM

@Aklapper sorry for the confusion – I happened to also notice the pushPending issue, but I think it’s independent of this one.

debt added a subscriber: debt.

Moving this to our watching column, as we don't have any front end engineers to help out.

Nikki added a subscriber: Nikki.May 4 2019, 2:07 PM

Is this perhaps caused by the fix for T172937? The timing looks like it would fit.

Krinkle updated the task description. (Show Details)May 4 2019, 5:09 PM

@Nikki yeah, looking at the patch that seems quite likely to me :/

Change 509043 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] Revert "Close entityselector after selecting exact match"

https://gerrit.wikimedia.org/r/509043

Change 509043 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Revert "Close entityselector after selecting exact match"

https://gerrit.wikimedia.org/r/509043

Change 509050 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@wmf/1.34.0-wmf.4] Revert "Close entityselector after selecting exact match"

https://gerrit.wikimedia.org/r/509050

Change 509050 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.34.0-wmf.4] Revert "Close entityselector after selecting exact match"

https://gerrit.wikimedia.org/r/509050

Mentioned in SAL (#wikimedia-operations) [2019-05-09T23:41:14Z] <ebernhardson@deploy1001> Synchronized php-1.34.0-wmf.4/extensions/Wikibase/view/resources/jquery/wikibase/jquery.wikibase.entityselector.js: T172937 T222346 Revert Close entityselector after selecting exact match (duration: 00m 51s)